module.exports = function () {
  var context = {
    "siteOf"          : "Addisnegeronline.com",
    "address"         : "http://addisnegeronline.com",
    "aliases"         : "www.",
    "nocacheAddress"  : "Invisibility.addisnegeronline.com",
    "excludeLocations": ["/wp-admin", "/wp-login"],
    "status"          : "Live Deflect",
    "DNET"            : "staging",
    "dnetHosts"       : [
      {
        "hostname"    : "chhost1.deflect.ca",
        "comment"     : "replace chime1.deflect.ca a month ago [time] w chhost1.deflect.ca a minute ago [lowest worry (NO RECORDS)]",
        "added"       : "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:09:46.107Z",
        "state"       : "active",
        "lonlat"      : [33.435699462890625, -111.91709899902344],
        "countryCode" : "US",
        "dnet"        : "none",
        "dnetChange"  : "2013-09-18T19:42:16.093Z",
        "lastActive"  : "2013-09-18T20:11:12.222Z"
      },
      {
        "hostname"    : "chime1.deflect.ca",
        "comment"     : "replace chime1.deflect.ca 5 minutes ago [worry (7573200)] w nq1.deflect.ca a month ago [time]",
        "added"       : "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:16:49.075Z",
        "state"       : "inactive", "lonlat": [34.01150131225586, -117.85350036621094],
        "countryCode" : "US",
        "dnet"        : "none",
        "dnetChange"  : "2013-08-18T14:45:42.306Z",
        "lastActive"  : "2013-09-18T20:12:19.430Z"
      },
      {
        "hostname": "cool6.deflect.ca",
        "comment" : "replace cool6.deflect.ca a month ago [time] w chime1.deflect.ca a minute ago [lowest worry (NO RECORDS)]",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:12:19.430Z",
        "state": "inactive",
        "lonlat": [50.08330154418945, 14.466699600219727],
        "countryCode": "CZ",
        "dnet": "none",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastActive": "2013-08-07T16:40:22.889Z"
      },
      {
        "hostname": "cool7.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:34:14.596Z",
        "state": "inactive",
        "lonlat": [50.08330154418945, 14.466699600219727],
        "countryCode": "CZ",
        "dnet": "none",
        "dnetChange": "2013-08-19T09:18:09.849Z",
        "lastActive": "2013-08-07T16:40:36.871Z"
      },
      {
        "hostname": "cool8.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:35:48.897Z",
        "state": "inactive",
        "lonlat": [50.08330154418945, 14.466699600219727],
        "countryCode": "CZ",
        "dnet": "deflect1",
        "dnetChange": "2013-08-19T09:18:09.849Z",
        "lastActive": "2013-08-07T17:16:43.412Z"
      },
      {
        "hostname": "cool9.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:35:52.464Z",
        "state": "inactive",
        "lonlat": [50.08330154418945, 14.466699600219727],
        "countryCode": "CZ",
        "dnet": "none",
        "dnetChange": "2013-08-13T12:18:46.852Z",
        "lastActive": "2013-08-07T17:45:46.670Z"
      },
      {
        "hostname": "cool10.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:37:01.011Z",
        "state": "inactive",
        "lonlat": [50.08330154418945, 14.466699600219727],
        "countryCode": "CZ",
        "dnet": "deflect1",
        "dnetChange": "2013-08-19T09:18:09.849Z",
        "lastActive": "2013-09-18T20:09:46.107Z"
      },
      {
        "hostname": "hetzner7.deflect.ca",
        "comment": "2",
        "added": "2013-08-07T16:00:43.327Z",
        "state": "inactive",
        "lastActive": "2013-08-07T16:00:43.327Z",
        "lonlat": [49.44779968261719, 11.068300247192383],
        "countryCode": "DE",
        "dnet": "deflect1",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastInactive": "2013-08-07T17:16:43.412Z"
      },
      {
        "hostname": "hetzner8.deflect.ca",
        "comment": "2",
        "added": "2013-08-07T16:00:43.327Z",
        "state": "inactive",
        "lastActive": "2013-08-07T16:00:43.327Z",
        "lonlat": [51, 9],
        "countryCode": "DE",
        "dnet": "none",
        "dnetChange": "2013-08-16T10:22:31.103Z",
        "lastInactive": "2013-08-07T16:40:22.889Z"
      },
      {
        "hostname": "phoenix1.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "state": "active",
        "lastActive": "2013-09-18T20:36:53.913Z",
        "lonlat": [33.435699462890625, -111.91709899902344],
        "countryCode": "US",
        "dnet": "none",
        "dnetChange": "2013-08-16T09:51:08.078Z",
        "lastInactive": "2013-08-07T16:26:52.254Z"
      },
      {
        "hostname": "prometeus1.deflect.ca",
        "comment": "testing 123",
        "added": "2013-08-07T16:00:43.327Z",
        "state": "inactive",
        "lastActive": "2013-08-07T16:00:43.327Z",
        "lonlat": [42.78329849243164, 12.600000381469727],
        "countryCode": "IT",
        "dnet": "none",
        "dnetChange": "2013-08-16T10:06:46.485Z",
        "lastInactive": "2013-08-07T17:45:46.670Z"
      },
      {
        "hostname": "sitevalley1.deflect.ca",
        "comment": "1",
        "added": "2013-08-07T16:00:43.327Z",
        "state": "inactive",
        "lastActive": "2013-08-07T16:00:43.327Z",
        "lonlat": [33.72570037841797, -84.43090057373047],
        "countryCode": "US",
        "dnet": "deflect1",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastInactive": "2013-08-07T16:40:15.463Z"
      },
      {
        "hostname": "nq1.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-09-18T20:36:53.913Z",
        "state": "active",
        "lonlat": [33.435699462890625, -111.91709899902344],
        "countryCode": "US",
        "dnet": "none",
        "dnetChange": "2013-08-19T09:18:09.849Z",
        "lastActive": "2013-09-18T20:37:01.011Z"
      },
      {
        "hostname": "sitevalley2.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.327Z",
        "lastInactive": "2013-08-07T16:00:43.327Z",
        "state": "inactive",
        "lonlat": [51.91669845581055, 4.5],
        "countryCode": "NL",
        "dnet": "deflect1",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastOffline": "2013-09-18T20:38:19.552Z" +
          "", "lastOnline": "2013-09-18T20:38:23.142Z"},
      {
        "hostname": "chhost2.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.328Z",
        "lastInactive": "2013-08-07T16:00:43.328Z",
        "state": "active",
        "lonlat": [51, 9],
        "countryCode": "DE",
        "dnet": "none",
        "dnetChange": "2013-08-19T09:18:09.849Z",
        "lastActive": "2013-09-18T20:34:10.073Z"
      },
      {
        "hostname": "chhost3.deflect.ca",
        "comment": "2",
        "added": "2013-08-07T16:00:43.328Z",
        "state": "inactive",
        "lastActive": "2013-08-07T16:00:43.328Z",
        "lonlat": [33.435699462890625, -111.91709899902344],
        "countryCode": "US",
        "dnet": "none",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastInactive": "2013-08-07T16:40:36.871Z"
      },
      {
        "hostname": "iper1.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.328Z",
        "lastInactive": "2013-08-07T16:00:43.328Z",
        "state": "active",
        "lonlat": [45.46670150756836, 9.199999809265137],
        "countryCode": "IT",
        "dnet": "none",
        "dnetChange": "2013-08-16T10:22:31.103Z",
        "lastActive": "2013-09-18T20:35:46.862Z"
      },
      {
        "hostname": "yard1.deflect.ca",
        "comment": "hi",
        "added": "2013-08-07T16:00:43.328Z",
        "lastInactive": "2013-08-07T16:00:43.328Z",
        "state": "active",
        "lonlat": [34.01150131225586, -117.85350036621094],
        "countryCode": "US",
        "dnet": "none",
        "dnetChange": "2013-09-18T19:42:16.093Z",
        "lastActive": "2013-09-18T20:35:51.056Z"
      }
    ]};
  return context;
};
